AOWP_PHPInterfaceElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPInterfaceElement
/parser/ast/PHPInterfaceElement.class.php at line 19

# Class AOWP_PHPInterfaceElement

    AOWP_PHPElement
        └─AOWP_PHPInterfaceElement

public class AOWP_PHPInterfaceElement
extends AOWP_PHPElement

PHPInterfaceElement PHPのASTにおける「インターフェイス」を表すクラス 文法規則: unticked_class_declaration_statement

Author:
  Ryoto Naruse /

Field Summary
mixed | $classStatements
mixed | $extendClassNames
mixed | $interfaceName

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPInterfaceElement(mixed _line, mixed interfaceName, mixed extendClassNames, mixed classStatements)

Method Summary
void | __toString()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPInterfaceElement.class.php at line 23

### classStatements

`public mixed $classStatements`

/parser/ast/PHPInterfaceElement.class.php at line 22

### extendClassNames

`public mixed $extendClassNames`

/parser/ast/PHPInterfaceElement.class.php at line 21

### interfaceName

`public mixed $interfaceName`

## Constructor Detail

/parser/ast/PHPInterfaceElement.class.php at line 25

### AOWP_PHPInterfaceElement

`public AOWP_PHPInterfaceElement(mixed _line, mixed interfaceName, mixed extendClassNames, mixed classStatements)`

## Method Detail

/parser/ast/PHPInterfaceElement.class.php at line 33

### __toString

`public void __toString()`

/parser/ast/PHPInterfaceElement.class.php at line 38

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr